ReceivedDeletedBlockInfo (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.protocol, class: ReceivedDeletedBlockInfo

Package org.apache.hadoop.hdfs.server.protocol

# Class ReceivedDeletedBlockInfo

java.lang.Object
org.apache.hadoop.hdfs.server.protocol.ReceivedDeletedBlockInfo

public class ReceivedDeletedBlockInfo extends Object
A data structure to store the blocks in an incremental block report.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ReceivedDeletedBlockInfo.BlockStatus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReceivedDeletedBlockInfo()`
  `ReceivedDeletedBlockInfo(org.apache.hadoop.hdfs.protocol.Block blk, ReceivedDeletedBlockInfo.BlockStatus status, String delHints)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `blockEquals(org.apache.hadoop.hdfs.protocol.Block b)`
  `boolean`
  `equals(Object o)`
  `org.apache.hadoop.hdfs.protocol.Block`
  `getBlock()`
  `String`
  `getDelHints()`
  `ReceivedDeletedBlockInfo.BlockStatus`
  `getStatus()`
  `int`
  `hashCode()`
  `boolean`
  `isDeletedBlock()`
  `void`
  `setBlock(org.apache.hadoop.hdfs.protocol.Block blk)`
  `void`
  `setDelHints(String hints)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReceivedDeletedBlockInfo

    public ReceivedDeletedBlockInfo()

  - ### ReceivedDeletedBlockInfo

    public ReceivedDeletedBlockInfo(org.apache.hadoop.hdfs.protocol.Block blk, ReceivedDeletedBlockInfo.BlockStatus status, String delHints)

- ## Method Details

  - ### getBlock

    public org.apache.hadoop.hdfs.protocol.Block getBlock()

  - ### setBlock

    public void setBlock(org.apache.hadoop.hdfs.protocol.Block blk)

  - ### getDelHints

    public String getDelHints()

  - ### setDelHints

    public void setDelHints(String hints)

  - ### getStatus

    public ReceivedDeletedBlockInfo.BlockStatus getStatus()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### blockEquals

    public boolean blockEquals(org.apache.hadoop.hdfs.protocol.Block b)

  - ### isDeletedBlock

    public boolean isDeletedBlock()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`